# listConnectionSessionSuggestedActions

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/sessions/{id}/suggested-actions |

| Field | Value |
|---|---|
| operationId | listConnectionSessionSuggestedActions |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /sessions/{id}/suggested-actions |
| tags | `1:1 Sessions` |
| summary | Get suggested actions for a connection session |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Suggested actions for the session | #/components/schemas/SuggestedActionsResponseDto |
| 400 | Malformed session id path parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Session not found or the caller is not a member of its team | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Session not found",
  "error": "SESSION_NOT_FOUND"
}
```
